﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.MaterialSprints;
@model Toyota.Common.Web.MVC.ModelHolder
<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width: 108px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier";
            }).GetHtml()
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "*";
                    label.ControlStyle.ForeColor = System.Drawing.Color.Red;
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()     
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "OIHSupplierOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE_PLANT";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "MaterialOrderInquirySprints", Action = "LookupGridSupplier" };
                gridLookup.ReadOnly = true;
                
                if (Model.GetModel<List<SupplierName>>().Count == 1)
                {
                    gridLookup.Text = Model.GetModel<List<SupplierName>>()[0].SUPPLIER_CODE_PLANT;
                }

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUPPLIER_CODE_PLANT";
                    column.FieldName = "SUPPLIER_CODE_PLANT";
                    column.Caption = "Supplier<br /> Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUPPLIER_NAME";
                    column.FieldName = "SUPPLIER_NAME";
                    column.Caption = "Supplier<br />Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<SupplierName>>()).GetHtml()
        </td>
        <td style="width: 58px">
        </td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Order No";
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "OIHOrderNoText";
                textBox.Name = "OIHOrderNoText";
                textBox.Width = Unit.Pixel(110);
            }).GetHtml()
        </td>
        <td style="width: 58px">
        </td>
        <td style="width: 108px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Arrival Plan";
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "OIHArrivalPlanDateFrom";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108;
                settings.Date = DateTime.Now.AddDays(-1);
            }).GetHtml()
        </td>
        <td style="width: 50px" align="center">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "To";
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "OIHArrivalPlanDateTo";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108;
                settings.Date = DateTime.Now;
            }).GetHtml()
        </td>
        <td>
        </td>
    </tr>
    <tr style="height: 5px">
    </tr>
    <tr>
        <tr style="height: 5px">
        </tr>
        @* row spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Upload File";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td colspan="4">
            @using (Html.BeginForm("DownloadCallback", "MaterialOrderInquirySprints", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                @Html.DevExpress().UploadControl(
                    upload =>
                    {
                        upload.Name = "MOIFileUpload";

                        upload.CallbackRouteValues = new
                        {
                            Controller = "MaterialOrderInquirySprints",
                            Action = "OnUploadMOIHCallbackRouteValues"
                        };

                        upload.Width = Unit.Percentage(100);
                        //upload.ShowProgressPanel = true;
                        //upload.UploadMode = UploadControlUploadMode.Advanced;

                        upload.ValidationSettings.MaxFileSize = 10000000;
                        upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                        upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                        upload.ValidationSettings.ShowErrors = true;

                        //upload.ClientSideEvents.UploadingProgressChanged = "OnSFPFFFileUploadUploadingProgressChanged";
                        //upload.ClientSideEvents.FileUploadStart = "OnSFPFFFileUploadFileUploadStart";
                        upload.ClientSideEvents.FileUploadComplete = "OnMOIUploadComplete";
                        //upload.ClientSideEvents.FilesUploadComplete = "OnSFPFFFilesUploadFileUploadComplete";

                        upload.CancelButton.Text = "";
                        upload.CancelButtonSpacing = Unit.Pixel(0);
                    }).GetHtml()
            }
        </td>
        <td colspan="4">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "MOIUploadButton";
                    button.Text = "Upload";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("padding-left", "5px");
                    button.ClientSideEvents.Click = "OnMOIUploadButtonClick";
                }).GetHtml()
        </td>
        <tr style="height: 5px">
        </tr>
        @* row spacing *@
        <tr>
            <td>
            </td>
            <td colspan="4">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Download Template";
                }).GetHtml()
                @Html.DevExpress().HyperLink(
                link =>
                {
                    link.Name = "DownloadTemplateLinkDetail";
                    link.Properties.Text = "Here";
                    link.Properties.Style.Font.Underline = true;
                    link.Properties.ClientSideEvents.Click = "DownloadManifestUploadTemplate";
                    link.ControlStyle.Cursor = "pointer";
                    link.ControlStyle.VerticalAlign = VerticalAlign.Top;
                }).GetHtml()
            </td>
        </tr>
        <td>
        </td>
    </tr>
    <tr style="height: 15px">
    </tr>
    <tr>
        <td align="right" colspan="1">
            <table cellpadding="1" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "OIHDownloadButton";
                            settings.Text = "Download";
                            settings.Width = Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "OnOIHDownloadButtonClick";
                            settings.EnableClientSideAPI = true;
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
        <td align="right" colspan="6">
            <table cellpadding="2" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "OIHSearchButton";
                            settings.Text = "Search";
                            settings.Width = Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "OnOIHSearchButtonClick";
                            settings.EnableClientSideAPI = true;
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "OIHClearButton";
                            settings.Text = "Clear";
                            settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "OnOIHClearButtonClick";
                            settings.EnableClientSideAPI = true;
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
